%define		_status		beta
%define		_pearname	Text_Highlighter
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - syntax highlighting
Summary(pl.UTF-8):	%{_pearname} - podświetlanie składni
Name:		php-pear-%{_pearname}
Version:	0.8.0
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	0eb11e9588ad5c7a1046ffad3ca2aed8
URL:		http://pear.php.net/package/Text_Highlighter/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 5.4.0
Requires:	php-pear
Requires:	php-pear-Console_Getopt >= 1.4.1
Requires:	php-pear-PEAR-core >= 1:1.10.3
Requires:	php-pear-XML_Parser >= 1.3.7
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Text_Highlighter is a package for syntax highlighting.

It provides a base class providing all the functionality, and a
descendent classes geneator class.

The main idea is to simplify creation of subclasses implementing
syntax highlighting for particular language. Subclasses do not
implement any new functionality, they just provide syntax highlighting
rules. The rules sources are in XML format.

To create a highlighter for a language, there is no need to code a new
class manually. Simply describe the rules in XML file and use
Text_Highlighter_Generator to create a new class.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Text_Highlighter to pakiet do podświetlania składni.

Zawiera klasę bazową dostarczającą całą funkcjonalność i klasę
generującą klasy dziedziczące.

Główną ideą jest uproszczenie tworzenia podklas implementujących
podświetlanie składni dla danego języka. Podklasy nie implementują
żadnej nowej funkcjonalności, a jedynie dostarczają reguły
podświetlania składni. Źródła reguł są w formacie XML.

Aby stworzyć podświetlanie dla języka, nie trzeba kodować ręcznie
nowej klasy. Wystarczy opisać reguły w pliku XML i użyć
Text_Highlighter_Generator, aby utworzyć nową klasę.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{php_pear_dir}}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Text/*.php
%{php_pear_dir}/Text/Highlighter

%{php_pear_dir}/data/%{_pearname}
%changelog
* Wed Feb 27 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Text_Highlighter.git;a=log;h=master

* Wed Feb 27 2019 Adam Gołębiowski <adamg@pld-linux.org> 62e9cbd
- updated to 0.8.0

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> f530e8a
- todo is outdated with bin script being removed in update to 0.7 in 58d71d2b8 commit

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> e2cfba0
- use virtual php extension deps (to be independant of php version)
- release 2 (by relup.sh)

* Mon Mar 26 2012 Elan Ruusamäe <glen@pld-linux.org> 0ca5707
- updated to: 0.7.3

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 274b1db
- updated deps with pearize.sh
- release 2

* Fri Aug 20 2010 Elan Ruusamäe <glen@pld-linux.org> 88744c3
- updated to: 0.7.1

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 077c8ab
- rel 2

* Mon Jun 11 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 58d71d2
- up to 0.7.0

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 6f47bc7
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3738c2e
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 4374be8
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> d41654f
- 0.6.9

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 6dc89d5
- BR php-pear-PEAR

* Sun Nov 20 2005 Elan Ruusamäe <glen@pld-linux.org> 2bee351
- rel 2

* Thu Oct 06 2005 Elan Ruusamäe <glen@pld-linux.org> e424ce0
- updated to 0.6.6

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> 4e0e566
- rel 2

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> 3364043
- semi automatically added deps from pear

* Fri Sep 30 2005 Elan Ruusamäe <glen@pld-linux.org> ad287df
- new pear packaging

* Sun Jul 10 2005 Elan Ruusamäe <glen@pld-linux.org> 93fdc86
- php-pear-Text_Highlighter cnfl rails

* Thu May 05 2005 ankry <ankry@pld-linux.org> 3d5e633
- some unifications

